API Reference
List dataset source files
List source files contributing to one dataset.
GET
/
datasets
/
{dataset}
/
files
Dataset Files
curl --request GET \
--url https://api.soriaanalytics.com/v1/datasets/{dataset}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soriaanalytics.com/v1/datasets/{dataset}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soriaanalytics.com/v1/datasets/{dataset}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soriaanalytics.com/v1/datasets/{dataset}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.soriaanalytics.com/v1/datasets/{dataset}/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.soriaanalytics.com/v1/datasets/{dataset}/files")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soriaanalytics.com/v1/datasets/{dataset}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dataset": "<string>",
"files": [
{
"source_relation": "<string>",
"file_id": "<string>",
"source_file": "<string>",
"source_url": "<string>"
}
],
"row_count": 123,
"limit": 123,
"offset": 123,
"has_more": true,
"next_offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Dataset identifier.
Files contributing through the dataset's recursive dbt lineage.
Show child attributes
Show child attributes
Files returned in this page.
Requested page size.
Requested zero-based offset.
Whether another page is available.
Offset for the next page, when available.
⌘I
Dataset Files
curl --request GET \
--url https://api.soriaanalytics.com/v1/datasets/{dataset}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soriaanalytics.com/v1/datasets/{dataset}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soriaanalytics.com/v1/datasets/{dataset}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soriaanalytics.com/v1/datasets/{dataset}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.soriaanalytics.com/v1/datasets/{dataset}/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.soriaanalytics.com/v1/datasets/{dataset}/files")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soriaanalytics.com/v1/datasets/{dataset}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dataset": "<string>",
"files": [
{
"source_relation": "<string>",
"file_id": "<string>",
"source_file": "<string>",
"source_url": "<string>"
}
],
"row_count": 123,
"limit": 123,
"offset": 123,
"has_more": true,
"next_offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}